<template>
  <nav class="bg-gray-800">
    <div class="max-w-7xl mx-auto px-2 sm:px-6 lg:px-8">
      <div class="relative flex items-center justify-between h-16">
        <div class="absolute inset-y-0 left-0 flex items-center sm:hidden">
          <!-- Mobile menu button-->
          <appBtn
            icon
            aria-controls="mobile-menu"
            aria-expanded="false"
            @click="showMenu()"
          >
            <svg
              class="block h-6 w-6"
              xmlns="http://www.w3.org/2000/svg"
              fill="none"
              viewBox="0 0 24 24"
              stroke="currentColor"
              aria-hidden="true"
            >
              <path
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="M4 6h16M4 12h16M4 18h16"
              />
            </svg>

            <svg
              class="hidden h-6 w-6"
              xmlns="http://www.w3.org/2000/svg"
              fill="none"
              viewBox="0 0 24 24"
              stroke="currentColor"
              aria-hidden="true"
            >
              <path
                stroke-linecap="round"
                stroke-linejoin="round"
                stroke-width="2"
                d="M6 18L18 6M6 6l12 12"
              />
            </svg>
          </appBtn>
        </div>
        <div
          class="flex-1 flex items-center justify-center sm:items-stretch sm:justify-start"
        >
          <appLogo />
          <div class="hidden sm:block sm:ml-6">
            <div class="flex space-x-4">
              <appBtn link to="/Users">Usuarios</appBtn>
              <appBtn link to="/Locations">Sucursales</appBtn>
              <appBtn link to="/turn-templates">Plantillas</appBtn>
              <appBtn link to="/calendar">Calendario</appBtn>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Mobile menu, show/hide based on menu state. -->
    <transition name="fade">
      <div v-if="menu" class="sm:hidden" id="mobile-menu">
        <div class="px-2 pt-2 pb-3 space-y-1">
          <!-- Current: "bg-gray-900 text-white", Default: "text-gray-300 hover:bg-gray-700 hover:text-white" -->
          <appBtn mobile link to="/Users">Usuarios</appBtn>
          <appBtn mobile link to="/Locations">Sucursales</appBtn>
          <appBtn mobile link to="/turn-templates">Plantillas</appBtn>
          <appBtn mobile link to="/calendar">Calendario</appBtn>
        </div>
      </div>
    </transition>
  </nav>
</template>

<script>
export default {
  data: () => ({
    menu: false,
  }),
  watch: {
    $route() {
      this.menu = false;
    },
  },
  methods: {
    showMenu() {
      this.menu = !this.menu;
    },
  },
};
</script>
